package com.patzn.lims.frame.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.frame.entity.LmsFrameFile;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author patzn123
 * @since 2018-01-09
 */
public interface ILmsFrameFileService extends IBaseService<LmsFrameFile> {


    Page<LmsFrameFile> page(Page<LmsFrameFile> page, LmsFrameFile lmsFrameFile);


    List<LmsFrameFile> list(LmsFrameFile lmsFrameFile);


    LmsFrameFile saveAndUpload(MultipartFile file, String bucketName, String foldPath, Long relId, Integer type);


    Boolean deleteBatch(Long[] ids);


    boolean deleteByInnerCheckPlan(Long innerPlanId);

    void downloadFile(HttpServletResponse response, String bucket, String fileUrl, String orgFileName);
}
